{% extends 'partials/shoppingcart_core_base.html.twig' %}

{% block body %}

    {#
        {% include 'partials/shoppingcart_core_cart.html.twig' %}
       (function() {
            ShoppingCart.currentPageIsProducts = true;
            ShoppingCart.currentProducts = [];
        }());
    #}

    {% do assets.addInlineJs('

        var swiper = new Swiper(".swiper-step", {
            spaceBetween: 10,
            slidesPerView: 4,
            freeMode: true,
            allowTouchMove: false,
            watchSlidesVisibility: true,
            watchSlidesProgress: true,
        });

        var swiper2 = new Swiper(".swiper-customize", {
            autoHeight: true,
            spaceBetween: 10,
            allowTouchMove: false,
            thumbs: {
                swiper: swiper,
            },
        });

        $("#next-step").click(function () {
            swiper.slideNext();
            swiper2.slideNext();
        });

    ', {group:'bottom'}) %}


    <div class="content-wrapper mt-nav">
        <div style="background-color: #F2F2F3; padding-top: 40px; padding-bottom: 40px;">
            <div thumbsSlider="" class="swiper-container swiper-step container-min">
                <div class="swiper-wrapper">
                    <div class="swiper-slide">
                        <p>
                            {{ "PLUGIN_SHOPPINGCART.STEP"|t|e }} 1<br>
                            {{ page.header.step_1.title }}
                        </p>
                    </div>
                    <div class="swiper-slide">
                        <p>
                            {{ "PLUGIN_SHOPPINGCART.STEP"|t|e }} 2<br>
                            {{ page.header.step_2.title }}
                        </p>
                    </div>
                    <div class="swiper-slide">
                        <p>
                            {{ "PLUGIN_SHOPPINGCART.STEP"|t|e }} 3<br>
                            {{ page.header.step_3.title }}
                        </p>
                    </div>
                    <div class="swiper-slide">
                        <p>
                            {{ "PLUGIN_SHOPPINGCART.STEP"|t|e }} 4<br>
                            {{ page.header.step_4.title }}
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="bg-cover" style="background-image: url('{{ page.media.images[""~page.header.bg~""].url() }}')">
            <div class="swiper-container swiper-customize container-min">
                <div class="swiper-wrapper">


                    {# ----------------- ÉTAPE 1 ----------------- #}
                    <div class="swiper-slide">
                        <h1><span class="sr-only">{{ "PLUGIN_SHOPPINGCART.STEP"|t|e }}</span> 01</h1>
                        <h2>{{ page.header.step_1.title }}</h2>
                        {{ page.header.step_1.content|raw }}
                        {% for atribut in page.header.step_1.atributs %}
                            <div>
                                <input name="size" id="size-{{ loop.index }}" type="radio" value="{{ atribut|first }}">
                                <label for="size-{{ loop.index }}">{{ atribut|first }}</label>
                            </div>
                        {% endfor %}
                        <h3>{{ "PLUGIN_SHOPPINGCART.OR"|t|e }}</h3>
                        <p>Taille personnalisée :</p>
                        <div>
                            <label for="">Longueur : </label>
                            <input type="text" value="" placeholder="En cm">
                            <span>x</span>
                            <label for="">Largeur : </label>
                            <input type="text" value="" placeholder="En cm">
                        </div>
                    </div>


                    {# ----------------- ÉTAPE 2 ----------------- #}
                    <div class="swiper-slide">
                        <h1><span class="sr-only">{{ "PLUGIN_SHOPPINGCART.STEP"|t|e }}</span> 02</h1>
                        <h2>{{ page.header.step_2.title }}</h2>
                        {{ page.header.step_2.content|raw }}
                        <div class="pure-g py-18">
                            {% for atribut in page.header.step_2.atributs %}
                                <div class="pure-u-1-3 pure-u-md-1-4">
                                    <div class="texture">
                                        <img src="{{ page.media.images[""~atribut.img~""].url() }}" alt="{{ atribut.text }}">
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>


                    {# ----------------- ÉTAPE 3 ----------------- #}
                    <div class="swiper-slide">
                        <h1><span class="sr-only">{{ "PLUGIN_SHOPPINGCART.STEP"|t|e }}</span> 03</h1>
                        <h2>{{ page.header.step_3.title }}</h2>
                        {{ page.header.step_3.content|raw }}

                        <div class="pure-g">
                            {% for atribut in page.header.step_3.atributs %}
                                <div class="pure-u-1-3 pure-u-md-1-4">
                                    <input name="color" id="color-{{ loop.index }}" type="radio" value="{{ atribut.code }}">
                                    <label for="color-{{ loop.index }}">
                                        <div  class="color-pelote" style="background: {{ atribut.code }};" >
                                            <img src="{{ page.media.images[""~page.header.step_3.img~""].url() }}" alt="{{ atribut.text }}">
                                        </div>
                                    </label>
                                </div>
                            {% endfor %}
                        </div>
                    </div>


                    {# ----------------- ÉTAPE 4 ----------------- #}
                    <div class="swiper-slide">
                        <h1><span class="sr-only">{{ "PLUGIN_SHOPPINGCART.STEP"|t|e }}</span> 04</h1>
                        <h2>{{ page.header.step_4.title }}</h2>
                        {{ page.header.step_4.content|raw }}
                        <img width="50%" src="{{ page.media.images[""~page.header.step_4.img~""].url() }}" alt="{{ page.header.step_4.title }}">
                    </div>


                </div>
            </div>
        </div>



        <div id="next-step">
            <span>Étape suivante</span>
        </div>
    </div>


{% endblock %}

{% block footer %}{% endblock %}
